### Method

# Gio MemoryOutputStream get_size

#### Declaration

    gsize
    g_memory_output_stream_get_size (
      GMemoryOutputStream* ostream
    )

#### Description

Gets the size of the currently allocated data area (available from g_memory_output_stream_get_data()).

You probably don’t want to use this function on resizable streams. See `g_memory_output_stream_get_data_size()` instead. For resizable streams the size returned by this function is an implementation detail and may be change at any time in response to operations on the stream.

If the stream is fixed-sized (ie: no realloc was passed to g_memory_output_stream_new()) then this is the maximum size of the stream and further writes will return `G_IO_ERROR_NO_SPACE`.

In any case, if you want the number of bytes currently written to the stream, use g_memory_output_stream_get_data_size().

Gets property | `Gio.MemoryOutputStream:size`

#### Return value

Type: `gsize`

The number of bytes allocated for the data buffer.